Package edu.claflin.finder.algo.clustering.struct.fast_greedy_struct

# Class IndexedHeapNode

java.lang.Object
edu.claflin.finder.algo.clustering.struct.fast_greedy_struct.HeapNodeFG
edu.claflin.finder.algo.clustering.struct.fast_greedy_struct.IndexedHeapNode

All Implemented Interfaces:
  `Comparable<HeapNodeFG>`

public class IndexedHeapNode extends HeapNodeFG

Author:
  Cesar Martin

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private int`
  `i`

  ### Fields inherited from class edu.claflin.finder.algo.clustering.struct.fast_greedy_struct.HeapNodeFG

  `EPSILON`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndexedHeapNode(int i, int j, double q)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(HeapNodeFG that)`
  Compare this HeapNode to that HeapNode.
  `boolean`
  `equals(Object o)`
  `int`
  `getI()`
  `void`
  `setI(int i)`
  `void`
  `setInfo(int i, int j, double q)`
  `String`
  `toString()`

  ### Methods inherited from class edu.claflin.finder.algo.clustering.struct.fast_greedy_struct.HeapNodeFG

  `compareToQ, getJ, getQ, setInfo, setJ, setQ`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### i

    private int i

- ## Constructor Details

  - ### IndexedHeapNode

    public IndexedHeapNode(int i, int j, double q)

- ## Method Details

  - ### getI

    public int getI()
    Returns:
      the i

  - ### setI

    public void setI(int i)

  - ### setInfo

    public void setInfo(int i, int j, double q)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `HeapNodeFG`

  - ### compareTo

    public int compareTo(HeapNodeFG that)
    Description copied from class: `HeapNodeFG`
    Compare this HeapNode to that HeapNode. We want before means higher Q, then smaller j
    Specified by:
      `compareTo` in interface `Comparable<HeapNodeFG>`
    Overrides:
      `compareTo` in class `HeapNodeFG`
    Parameters:
      `that` - the HeapNode to compare this to
    Returns:
      -1 if this goes before, 0 if they are equal, 1 if that goes before

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `HeapNodeFG`